package domain


type AlibabaTclsAelophyMerchantChannelOrderSlicegetApiResult struct {
    /*
        返回码说明     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        返回码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        返回的时间片数据     */
    Model  *AlibabaTclsAelophyMerchantChannelOrderSlicegetTimeSliceGetResponse `json:"model,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelOrderSlicegetApiResult) SetErrMsg(v string) *AlibabaTclsAelophyMerchantChannelOrderSlicegetApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderSlicegetApiResult) SetErrCode(v string) *AlibabaTclsAelophyMerchantChannelOrderSlicegetApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderSlicegetApiResult) SetSuccess(v bool) *AlibabaTclsAelophyMerchantChannelOrderSlicegetApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderSlicegetApiResult) SetModel(v AlibabaTclsAelophyMerchantChannelOrderSlicegetTimeSliceGetResponse) *AlibabaTclsAelophyMerchantChannelOrderSlicegetApiResult {
    s.Model = &v
    return s
}
